## org.apache.lucene.analysis.ru
Class RussianLightStemFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.ru.RussianLightStemFilterFactory

    public class RussianLightStemFilterFactory

extends TokenFilterFactory

Factory for `RussianLightStemFilter`.

     <fieldType name="text_rulgtstem" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.StandardTokenizerFactory"/>
         <filter class="solr.LowerCaseFilterFactory"/>
         <filter class="solr.RussianLightStemFilterFactory"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`RussianLightStemFilterFactory(Map<String,String> args)` Creates a new RussianLightStemFilterFactory

Method Summary
`TokenStream` `create(TokenStream input)` Transform the specified input TokenStream

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RussianLightStemFilterFactory

    public RussianLightStemFilterFactory(Map<String,String> args)

  Creates a new RussianLightStemFilterFactory

Method Detail

### create

    public TokenStream create(TokenStream input)

  Description copied from class: `TokenFilterFactory`
  Transform the specified input TokenStream

  Specified by:
    `create` in class `TokenFilterFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.